Subject: Re: [[email-masked]] Aw: Re: Konzertaufnahme

From: David Kastrup <[email-masked]>
Date: Fri, 24 Jul 2020 18:50:54 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> David Kastrup <[email-masked]> writes:
>
>> Next try for extract all MIME...
>
> Looks like the MIME structure survived intact...  but I'm still not able
> to reproduce this bug.  (Cc'd to the bug report again.)
>
> I've had a look at the code that's failing, and that bit of
> gnus-summary-save-parts-1 hasn't changed in more than 20 years.
>
> Has this problem started happening recently?

I think it's the first time I tried that menu entry.

> Do you have any customisations in this area?

For sure.  I sent this using gnus-bug so it is a bit disappointing that
it didn't list gnus-related options.  Let me check my .emacs.

I think the relevant lines would likely be

 '(gnus-novice-user nil)
 '(gnus-secondary-select-methods
   '((nnml "private")
     (nnnil "news.arcor.de"
	    (nntp-open-connection-function nntp-open-ssl-stream)
	    (nntp-port-number 563))
     (nnnil "imap.arcor.de"
	    (nnimap-stream ssl))))
 '(gnus-select-method '(nnnil "localhost"))
 '(gnus-show-mime t)
 '(gnus-strict-mime nil)
 '(gnus-summary-goto-unread nil)
 '(gnus-use-adaptive-scoring '(word line))
 '(gnus-use-header-prefetch t)

 '(message-default-news-headers
   "X-Face: 2FEFf>]>q>2iw=B6,xrUubRI>pR&Ml9=ao@P@i)L:\\urd*t9M~y1^:+Y]'C0~{mAl`oQuAl
 \\!3KEIp?*w`|bL5qr,H)LFO6Q=qx~iH4DN;i\";/yuIsqbLLCh/!U#X[S~(5eZ41to5f%E@'ELIi$t^
 Vc\\LWP@J5p^rst0+('>Er0=^1{]M9!p?&:\\z]|;&=NP3AhB!B_bi^]Pfkw
Organization: Organization?!?
")
 '(message-dont-reply-to-names
   "\\<dak\\(@tupik.goethe.zz\\)?\\|\\<David.Kastrup@\\|\\<dakas@")
 '(message-forward-as-mime t)
 '(message-send-mail-function 'smtpmail-send-it)
 '(message-sendmail-f-is-evil t)
 '(message-user-fqdn "fencepost.gnu.org")

 '(mm-coding-system-priorities '(iso-8859-1 iso-8859-15 utf-8))
 '(mm-discouraged-alternatives '("text/html"))
 '(mml-secure-key-preferences
   '((OpenPGP
      (sign)
      (encrypt
       ("[email-masked]" "E30674707856409FF1948010BE6C3AAC63AD8E3F")))
     (CMS
      (sign)
      (encrypt))))

 '(nnmail-split-methods '(("mail.misc" gnus-group-split)))

 '(query-user-mail-address nil)

 '(send-mail-function 'smtpmail-send-it)
 '(smtpmail-smtp-server "fencepost.gnu.org")
 '(smtpmail-smtp-service 587)

That should be about anything gnus/mail related.

-- 
David Kastrup